/*
 * Copyright (C) 2016-2019 Álinson Santos Xavier <isoron@gmail.com>
 *
 * This file is part of Loop Habit Tracker.
 *
 * Loop Habit Tracker is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * Loop Habit Tracker is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package org.isoron.platform.io

interface Log {
    fun info(tag: String, msg: String)
    fun debug(tag: String, msg: String)
    fun warn(tag: String, msg: String)
}

/**
 * A Log that prints to the standard output.
 */
class StandardLog : Log {
    override fun warn(tag: String, msg: String) {
        println(sprintf("W %-20s %s", tag, msg))
    }

    override fun info(tag: String, msg: String) {
        println(sprintf("I %-20s %s", tag, msg))
    }

    override fun debug(tag: String, msg: String) {
        println(sprintf("D %-20s %s", tag, msg))
    }
}